# Airplane mode set state

An action block that enables or disables airplane mode.

The fiber will proceed immediately without pause.

The requirement of Automate being set as default Assistant app can be avoided by choosing an Airplane mode workaround in settings. An alternative to this block is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `cmd connectivity airplane-mode <enable|disable>`

Note! This feature isn’t officially supported until Android 6, requires the privileged service on lower versions, may not work on all devices.

## Input arguments

- Airplane mode — whether to enable or disable airplane mode, default is off.